# This is the configuration template file used by the gga_init.py gga_load_data.py and run_workflow.py scripts
# It contains (sensible) variables to set up different docker services and should not be committed in production

# "all" section contains variables used by several services at once or the paths to import sensible files that cannot be procedurally generated/formatted using the scripts
all:
      hostname: localhost  # The hosting machine name
      dashboard_port: 8001  # The desired port (on the hosting machine) for the traefik container dashboard
      http_port: 8888  # The HTTP port docker will use on the hosting machine 
      https_port: 8889  # The HTTPS port docker will use on the hosting machine. If present, docker will deploy stacks using an HTTPS configuration with authelia authentication
      proxy_ip: XXXXXXXXXXXX  # IP of the upstream proxy (used by traefik)
      auth_hostname: XXXXXXXXXXXX  # The authentication domain name, not required if running only using HTTP
      authelia_config_path: /path/to/authelia_config.yml # Path to the custom authelia configuration file
# galaxy-specific environment variables
galaxy:
      galaxy_default_admin_email: gga@galaxy.org
      galaxy_defaut_admin_user: gga
      galaxy_default_admin_password: password
      # galaxy_config_master_api_key: master
      webapollo_user: admin_apollo@galaxy.org
      webapollo_password: apollopass
      persist_galaxy_data: "True"  # If True, docker data will be backed up
      galaxy_config_remote_user_maildomain: sb-roscoff.fr  # The maildomain used by galaxy authentication
# tripal-specific variables
tripal:
      tripal_password: tripalpass  # Tripal database password (also used by galaxy as an environment variable)
      banner_path: /home/fr2424/sib/alebars/projects/gga_load_data/misc/banner.png  # Custom banner path 
      tripal_theme_name: abims   # Use this to use another theme
      tripal_theme_git_clone: http://gitlab.sb-roscoff.fr/abims/e-infra/tripal_abims.git  # Use this to install another theme (cannot be named custom_theme_git_clone currently)
# jbrowse-specific variables
jbrowse:
      menu_url: "http://localhost:8888/" # If present, this variable is used to define jbrowse menu_url, if absent, will use https://hostname:https_port instead

